# pybioportal: a Python package to easily retrieve data from cBioPortal

## What is it?

**pybioportal** is an open source, BSD-licensed [Python] library that provides a set of 
functions to facilitate data acquisition from the [cBioPortal Web Public API] and the transformation 
of that data into useful data structures.

It allows users to easily query the cBioPortal public API and retrieve the data directly in the form of a
[pandas] DataFrame, making the data accessible and ready for analysis.

It is an essential tool for researchers and biological data analysts who wish to access and leverage 
cBioPortal resources for their research and bioinformatic analysis projects.

[Python]: https://www.python.org/
[cBioPortal Web Public API]: https://www.cbioportal.org/api/swagger-ui/index.html
[pandas]: https://pandas.pydata.org/


## Where to get it
The source code is currently hosted on GitHub at:
https://github.com/Matteo-Valerio/pyBioPortal

<!--
Binary installers for the latest released version are available at the Python
Package Index ([PyPI]).

```sh
pip install pybioportal
```
[PyPI]: https://pypi.org/project/pybioportal -->

## License
[BSD 3](LICENSE.txt)

## Documentation
The official documentation is hosted on [ReadtheDocs](https://pybioportal.readthedocs.io/en/latest/).